<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="../../">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Project &mdash; openPASS Documentation</title>
      <link rel="stylesheet" type="text/css" href="../../_static/pygments.css?v=b86133f3" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/custom.css?v=4ad39fc2" />

  
    <link rel="shortcut icon" href="../../_static/openPASS.ico"/>
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="../../_static/jquery.js?v=5d32c60e"></script>
        <script src="../../_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="../../_static/documentation_options.js?v=6efca38a"></script>
        <script src="../../_static/doctools.js?v=888ff710"></script>
        <script src="../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="System Editor" href="20_system_editor.html" />
    <link rel="prev" title="GUI Plugins" href="../30_gui_plugins.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../index.html" class="icon icon-home">
            openPASS
              <img src="../../_static/openPASS.png" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                1.2.0
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Installation Guide</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/10_getting_started.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/15_system_requirements.html">System Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/20_install_prerequisites.html">Installing Prerequisites</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/30_install_openpass.html">Installing openPASS</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/50_further_guidance.html">Further Guidance</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/60_conan.html">Building with Conan</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">User Guides</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../user_guide/10_overview.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../user_guide/20_tutorials.html">Tutorials</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../user_guide/30_configs_in_depth.html">Configs in Depth</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../user_guide/40_outputs_in_depth.html">Outputs in Depth</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../user_guide/50_scenario_simulation.html">Simulator</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Advanced topics</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../advanced_topics/20_simulator_advanced.html">Simulator</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../advanced_topics/30_testing.html">EndToEnd Test Framework</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Developer Information</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/10_ide_support.html">IDE Support</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/20_documentation.html">Documentation Concept</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/30_coding_conventions.html">Coding Guidelines</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Other Information</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../10_external_dependencies.html">External Dependencies</a></li>
<li class="toctree-l1"><a class="reference internal" href="../20_glossary.html">Glossary</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../30_gui_plugins.html">GUI Plugins</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">Project</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#general">General</a></li>
<li class="toctree-l3"><a class="reference internal" href="#path-settings">Path Settings</a></li>
<li class="toctree-l3"><a class="reference internal" href="#simulation-output-settings">Simulation Output Settings</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="20_system_editor.html">System Editor</a></li>
<li class="toctree-l2"><a class="reference internal" href="30_pcm_sim.html">PCM Simulation</a></li>
<li class="toctree-l2"><a class="reference internal" href="40_pcm_eval.html">PCM Evaluation</a></li>
<li class="toctree-l2"><a class="reference internal" href="50_result_visualization.html">Result Visualization</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../40_license.html">License</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">openPASS</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../30_gui_plugins.html">GUI Plugins</a></li>
      <li class="breadcrumb-item active">Project</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/other_information/gui_user_guide/10_projects.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="project">
<span id="id1"></span><h1>Project<a class="headerlink" href="#project" title="Link to this heading"></a></h1>
<blockquote>
<div><ul class="simple">
<li><p>The deprecated “Qt GUI” for simulation configuration based on Qt mainly aimed to edit PCM-based openPASS experiments was part of minor releases v0.5 – v0.11.</p></li>
<li><p>The latest version of this deprecated GUI can be found here: <a class="reference external" href="https://ci.eclipse.org/openpass/job/openPASS_simulator_build/view/tags/job/openPASS_0.11/">https://ci.eclipse.org/openpass/job/openPASS_simulator_build/view/tags/job/openPASS_0.11/</a></p></li>
</ul>
</div></blockquote>
<p>The Project Plugin can be used to simply start a simulation from the gui.</p>
<img alt="../../_images/overview.png" src="../../_images/overview.png" />
<p>Before the simulation adjustments begin, the user is obligated to load or create a “Simulation Manager Configuration” (<cite>opSimulationManager.xml</cite>).
Such a configuration in openPASS can be understood as a project.
It is a XML-File which get inscribed the path settings and simulation settings after you click <strong>SAVE</strong>.</p>
<section id="general">
<h2>General<a class="headerlink" href="#general" title="Link to this heading"></a></h2>
<img alt="../../_images/general.png" src="../../_images/general.png" />
<p>In this segment you are able to name the Simulation Manager Configuration.</p>
</section>
<section id="path-settings">
<h2>Path Settings<a class="headerlink" href="#path-settings" title="Link to this heading"></a></h2>
<img alt="../../_images/pathSettings.png" src="../../_images/pathSettings.png" />
<p>The next step is path settings.
These will change depending on where your openPASS.exe is located.
In the screen shot above the openPASS.exe is located at <code class="docutils literal notranslate"><span class="pre">C:openPASS</span></code>.
For easier use of this tutorial it is recommended to save the Demo Folder in <code class="docutils literal notranslate"><span class="pre">C:/</span></code> and name it <em>openPASS</em>.
On to the settings.
As you can see three paths need to be set.
The library comes with openPASS.
There are plans to remove the option for the user to set the library path, but at this moment there is still the option to change it, although this is not recommended.
The Simulation Path references the opSimulation.exe, the file to execute the simulation.
If you are using the provided Demo, there is no need for you to change it.
The only path you need to set is the path of the Configuration Files.
In the Demo it will be located at <code class="docutils literal notranslate"><span class="pre">[directory</span> <span class="pre">of</span> <span class="pre">openPASS.exe]/configs</span></code>, so in this case it would be <code class="docutils literal notranslate"><span class="pre">C:/openPASS/configs</span></code>.</p>
</section>
<section id="simulation-output-settings">
<h2>Simulation Output Settings<a class="headerlink" href="#simulation-output-settings" title="Link to this heading"></a></h2>
<img alt="../../_images/simOutputSettings.png" src="../../_images/simOutputSettings.png" />
<p>Next step is the Simulation Output Settings. There are three output files. First is the log file of the simulation manager.
However, when simulation jobs are started by the GUI, the openPASS simulation manager is not executed and, hence, the log will not contain any entries.
Second is the log file created by the simulation. In this log file you will find error messages, actions of the simulation etc. depending on the log level.
The Log level lets you choose which type of messages are logged. “0” means that only errors are logged,
whereas the highest log level of “5” leads to the most detailed description of which steps are executed by the simulation.
The results path specifies the folder in which the results of a successful simulation will be saved.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>It is recommended to create a new folder in C:/openPASS called “results” and set it as the results path as in the picture above.</p>
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../30_gui_plugins.html" class="btn btn-neutral float-left" title="GUI Plugins" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="20_system_editor.html" class="btn btn-neutral float-right" title="System Editor" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2025 openPASS Working Group.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>